#! /bin/bash

# This is used to debug and will not daemonize or restart
# To run this in production remove the `--rm` flag and replace with `-d --restart unless-stopped`
tsa_container=$(cloudron list | awk '/ci.concourse.cloudron/{print $1;}')
tsa_hostname=$(cloudron exec --app $tsa_container env | grep HOSTNAME | sed s/.*=//)
tsa_port=$(cloudron exec --app $tsa_container env | grep TSA_PORT | sed s/.*=//)
sudo docker run \
  --rm \
  --privileged \
  --network cloudron \
  --volumes-from $tsa_container \
  concourse/concourse worker \
    --tsa-host $tsa_hostname \
    --tsa-port $tsa_port \
    --tsa-public-key /app/data/tsa_host_key.pub \
    --tsa-worker-private-key /app/data/worker_key
